// --------------------------------------------------------
// Code generated by Papyrus C
// --------------------------------------------------------

/* 
 * File generated from the CCodegenTest::Class4 uml class
 * Generated by the Papyrus C Generator (CEA LIST) 
 *
 */

#ifndef CLASS4_H_
#define CLASS4_H_

/*
 * -------------------- Includes and declares --------------------
 */
// Derived includes
// End of Derived includes
// Derived declarations
typedef struct Class3 Class3;
// End of Derived declares

// Std headers
#include <stdio.h>
#include <stdlib.h>
#include <stdint.h>
// End of Std headers

/*
 * ------------------- Public Class Description ------------------
 */
//  Structure 
/* Class Macro definition */
#define Class4(OBJ) ((Class4*)OBJ)

typedef struct Class4 Class4;

struct Class4 {

	Class3 *c3;

	char charVar;

	double doubleVar;

	float floatVar;

	int intVar;

	long longVar;

	long double longDoubleVar;

	short shortVar;

	unsigned int unsignedIntVar;

	unsigned short unsignedShortVar;

	unsigned char unsignedCharVar;

	unsigned long unsignedLongVar;

	/*bool*/
	char boolVar;

	double arrayDoubleDefault;

	char arrayCharInit;

	char *charString;

	char *ptrChar;

};

// Constructor and destructor declarations 
/*
 * --------- Default constructor & destructor prototypes ---------
 */

// Property initialisation declarations
/*
 * ----------- Default value initialization prototypes -----------
 */
/**
 * Default value initialization
 * @param Class4 structure instance pointer
 * @return void
 */
void Class4_init(Class4 *self);

// Class methods declarations

// Class receptions declarations

// ----------------------------------Public Global VariableDescription----------------------------------

/*
 * ------------- Global Public Variable Declarations -------------
 */
// global variable declaration
char *charStringStaticInit = "Hello World";

// ----------------------------------Global Public Functions----------------------------------

// ----------------------------------Signal Event Process Functions Implementations--------------------------------

// ----------------------------------Call Event Process Functions ----------------------------------

#endif /*CLASS4_H_*/
